> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a saved connector

> Retrieves the full configuration of a saved connector by uuid from connector_list, including type, label, and sharedConfig. Sensitive fields may be masked.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /connectors/{uuid}
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.87
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}:
    get:
      tags:
        - Connectors
      summary: Get a saved connector
      description: >-
        Retrieves the full configuration of a saved connector by uuid from
        connector_list, including type, label, and sharedConfig. Sensitive
        fields may be masked.
      operationId: connector_detail
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsFullConnector'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsFullConnector:
      properties:
        companyUUID:
          format: uuid
          type: string
        connectionLabel:
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          type:
            - 'null'
            - string
        defaultDatabase:
          type: string
        environmentUUID:
          format: uuid
          type: string
        isValid:
          type: boolean
        label:
          type: string
        privateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sharedConfig:
          $ref: '#/components/schemas/PayloadsJSONValue'
        snapshotPrivateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sshTunnelUUID:
          format: uuid
          type:
            - 'null'
            - string
        type:
          $ref: '#/components/schemas/EnumsConnectorSlug'
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - label
        - uuid
        - createdAt
        - updatedAt
        - type
        - companyUUID
        - environmentUUID
        - isValid
      type: object
    PayloadsJSONValue:
      anyOf:
        - $ref: '#/components/schemas/PayloadsJsonValueString'
        - $ref: '#/components/schemas/PayloadsJsonValueNumber'
        - $ref: '#/components/schemas/PayloadsJsonValueBoolean'
        - $ref: '#/components/schemas/PayloadsJsonValueObject'
        - $ref: '#/components/schemas/PayloadsJsonValueArray'
        - $ref: '#/components/schemas/PayloadsJsonValueNull'
    EnumsConnectorSlug:
      enum:
        - api
        - bigquery
        - clickhouse
        - cockroach
        - databricks
        - documentdb
        - delta
        - dynamodb
        - gcs
        - iceberg
        - keyspaces
        - mongodb
        - motherduck
        - mssql
        - mysql
        - oracle
        - planetscale
        - postgresql
        - redis
        - redshift
        - s3
        - snowflake
      type: string
    PayloadsJsonValueString:
      oneOf:
        - type: string
      type: string
    PayloadsJsonValueNumber:
      oneOf:
        - type: number
      type: number
    PayloadsJsonValueBoolean:
      oneOf:
        - type: boolean
      type: boolean
    PayloadsJsonValueObject:
      additionalProperties: true
      type: object
    PayloadsJsonValueArray:
      items:
        $ref: '#/components/schemas/PayloadsJsonValueArrayItem'
      type: array
    PayloadsJsonValueNull:
      oneOf:
        - type: 'null'
      type: 'null'
    PayloadsJsonValueArrayItem:
      anyOf:
        - $ref: '#/components/schemas/PayloadsJsonValueString'
        - $ref: '#/components/schemas/PayloadsJsonValueNumber'
        - $ref: '#/components/schemas/PayloadsJsonValueBoolean'
        - $ref: '#/components/schemas/PayloadsJsonValueObject'
        - $ref: '#/components/schemas/PayloadsJsonValueNull'
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````